#!/bin/sh

assert_good_status () {
	if [ $? -ne 0 ]; then
		exit 1
	fi
}

assert_bad_status () {
	if [ $? -eq 0 ]; then
		exit 1
	fi
}

HOST=127.0.0.1

curl -f http://$HOST/movies
assert_good_status

curl -f http://$HOST/passes
assert_good_status

curl -X POST -f http://$HOST/apply_for_pass
assert_bad_status

curl -X POST -f http://$HOST/apply_for_pass \
	-H "Content-Type: application/json" \
	--data '{"first": "Hannah",
	         "last": "Dirt",
		 "email": "hannah.dirt@mail.com",
		 "type": 1,
		 "price": 50,
		 "movie_uuid": "742a2542-2b50-11f0-ae4c-f7bedd5fcc88"}'
assert_good_status

curl -f http://$HOST/passes | jq '.result.[0]'
assert_good_status
